# Uses of Class
javax.swing.text.GlyphView.GlyphPainter

Packages that use GlyphView.GlyphPainter
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

- ## Uses of GlyphView.GlyphPainter in javax.swing.text

  Methods in javax.swing.text that return GlyphView.GlyphPainter
  Modifier and Type
  Method
  Description
  `GlyphView.GlyphPainter`
  GlyphView.`getGlyphPainter()`
  Fetch the currently installed glyph painter.
  `GlyphView.GlyphPainter`
  GlyphView.GlyphPainter.`getPainter(GlyphView v, int p0, int p1)`
  Create a painter to use for the given GlyphView.
  Methods in javax.swing.text with parameters of type GlyphView.GlyphPainter
  Modifier and Type
  Method
  Description
  `void`
  GlyphView.`setGlyphPainter(GlyphView.GlyphPainter p)`
  Sets the painter to use for rendering glyphs.